# Yerbacon 

[![Build Status](https://ci.username404.fr/buildStatus/icon?style=plastic)](https://ci.username404.fr/job/Yerbacon/job/stable/)

<img align="left" src="/Username404-59/Yerbacon/raw/branch/stable/resources/Yerbacon.svg" alt="Yerbacon logo" width="192" height="192">
Aka Yer Bacon,

- #### A language that transpiles into lua, javascript (ES6) or python code.
```
main >> {
  print_line("Hello, World!")
}
```

### Planned features:

- Type inference
- Null safety
- Compilation to jvm bytecode?

## Getting Started
#### See the <a href="/Username404-59/Yerbacon/src/branch/stable/docs/gettingstarted.md">documentation</a>.

## Build requirements

CMake 3.18 or higher is needed.

### Linux target

- GCC 11+ or Clang 13+ with llvm-gold

### Windows target

 - MinGW32 (on debian you will need to use the `i686-w64-mingw32-gcc-posix` executable provided by the `gcc-mingw-w64-i686-posix-runtime` package)

MSVC could also be used instead if you are on Windows.