#ifndef JS_HPP
#define JS_HPP JsTarget
using namespace StandardComponents;

struct JsTarget: Target {
    print_functions_pair printFunctions() final { return make_pair("util.write", "console.log"); }
    unordered_task_map getTaskMap() final {
        return {
            make_task(Define,
                output << (parseComponent.final ? "const " : "let ") << parseComponent.name << " = ";
            ),
            make_task(types::String, stringInterpolation(parseComponent.content);)
        };
    }
    using Target::Target;
};

#endif